%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		serd
Version:	0.30.10
Release:	%mkrel 1
Summary:	Lightweight RDF syntax library
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.xz
URL:		http://drobilla.net/software/
License:		ISC License (ISC)
Group:		System/Libraries
#------------------------------
BuildRequires:	waf
BuildRequires:	pkgconfig
#------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Lightweight C library for RDF syntax which supports reading
and writing Turtle and NTriples. Serd is not intended to be a Swiss army
knife of RDF syntax, but rather is suited to resource limited or
performance critical applications, or situations where a simple
reader/writer with minimal dependencies is ideal
(e.g. in LV2 hosts or plugins).

%files -n %{name}
%doc %{_mandir}/man1/serdi.*
%{_bindir}/serdi

#-----------------------------------
%package -n %{lib_name}

Summary:	Lightweight RDF syntax library
Group:		System/Libraries
Obsoletes:	%{_lib}serd0 < 0.18.2-2

%description -n %{lib_name}
Lightweight C library for RDF syntax which supports reading
and writing Turtle and NTriples. Serd is not intended to be a Swiss-army
knife of RDF syntax, but rather is suited to resource limited or
performance critical applications, or situations where a simple
reader/writer with minimal dependencies is ideal
(e.g. in LV2 hosts or plugins).

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}.*

#-----------------------------------
%package -n %{lib_name_devel}
Summary:	Headers for the Lightweight RDF syntax library
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against serd.

%files -n %{lib_name_devel}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

#-----------------------------------
%prep
%setup -q

%build
%setup_compile_flags
./waf configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
./waf -v

%install
rm -rf $RPM_BUILD_ROOT
./waf install --destdir=%{buildroot}


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Mar 04 2021 tex - 0.30.10-1pclos2021
- new version

* Mon Sep 28 2020 tex - 0.30.6-1pclos2020
- new version

* Wed May 13 2020 tex - 0.30.0-1pclos2020
- new version

* Sat May 18 2019 tex - 0.28.0-2pclos2019
- rebuild against updates

* Wed Apr 18 2018 bb2 <bb2> - 0.28.0-1pclos2018
- new version

* Mon Jan 02 2017 bb <bb> - 0.24.0-1pclos2017
- new version
